Description

RHEL9 + Foreman 3.10 + Katello 4.12

Adjusting settings via postgresql::server::config_entries in /etc/foreman-installer/custom-hiera.yaml or parameter --tuning medium

creates these settings in /etc/postgresql.conf instead of /var/lib/pgsql/data/postgresql.conf.

The parameter postgresql::server::postgresql_conf_path does not change anything.

The settings have no effect (during and after the installation) as one can see with:

psql -c 'show max_connections' # as user postgres -> 100

 As a result the installation fails with 8 cores since there are too few connections possible.

With 6 cores it works but the performance for further tasks is really bad and the settings must manually be fixed.

foreman-installer \

  --scenario katello \

  --no-enable-puppet \

  --certs-server-cert ... \

  --certs-server-key ... \

  --certs-server-ca-cert ... \

  --foreman-initial-admin-email ... \

  --foreman-email-reply-address ... \

  --foreman-initial-location ... \

  --foreman-initial-organization ... \

  --skip-puppet-version-check \

  -v

History

#1 - 04/09/2024 12:31 PM - Michael Arlt

- Found in Releases 3.10.0 added

#2 - 04/09/2024 02:55 PM - Michael Arlt

- Assignee set to Michael Arlt

#3 - 04/09/2024 03:00 PM - Michael Arlt

- Status changed from New to Rejected

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

http://www.tcpdf.org

